%define libname libcoman
%define version 0.1.2
%define release 2mdk

%define major 0

Summary: Simple library for reading and writing configurations
Name: libcoman%major
Version: %{version}
Release: %{release}
Group: System/Libraries
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Source: %libname-%{version}.tar.bz2
URL: http://www.lepware.com/linux/coman/

%description 
libcoman is a simple library for reading and writing configurations in the
following format:
 
[Group]
setting1=value1
setting2=value2
 
I made it because I didn't find a small, simple library like it and because
I liked the way KDE made it's configuration handling.
 
The only requirement is a normal linux system ;-)  rep

%package devel
Group: System/Libraries
Requires: libcoman0 = %version
Provides: %libname-devel
Summary: Simple library for reading and writing configurations

%description devel
libcoman is a simple library for reading and writing configurations in the
following format:
 
[Group]
setting1=value1
setting2=value2
 
I made it because I didn't find a small, simple library like it and because
I liked the way KDE made it's configuration handling.
 
The only requirement is a normal linux system ;-)  rep 


%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %libname-%version

%configure

%build

%make

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%{_libdir}/*.so.*

%files devel
%defattr (-,root,root)
%{_libdir}/*.so
%{_includedir}/*.h
%{_libdir}/*.la
%{_libdir}/*.a

%changelog
* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.2-2mdk
- rebuild

* Tue Jan 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.2-1mdk
- updated to 0.1.2
- applied library policy

* Wed Jul 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- first spec
- BM
- macros
- added devel rpm
